Ubuntu 10.04 LTS / 11.04 / 11.10 / 12.04 LTS : raptor vulnerability (USN-1480-1)

Ubuntu Security Notice (C) 2012-2014 Canonical, Inc. / NASL script (C) 2012-2014 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing a security-related patch.

Description :

Timothy D. Morgan discovered that Raptor would unconditionally load
XML external entities. If a user were tricked into opening a specially
crafted document in an application linked against Raptor, an attacker
could possibly obtain access to arbitrary files on the user's system
or potentially execute arbitrary code with the privileges of the user
invoking the program.

Solution :

Update the affected libraptor1 package.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 3.7
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 59567 ()

Bugtraq ID: 52681

CVE ID: CVE-2012-0037